## spectools 200710R2

=== kismet-wispy/Makefile ===
# Kismet wireless sniffer

KIS_INC_DIR		= /home/dragorn/src/kismet-newcore/

HOME	= .
CXX	= g++
CC	= gcc
LD	= g++
LDFLAGS	= -shared -rdynamic
LIBS	= -lstdc++ -lusb -lpthread
CFLAGS	= -fPIC -g
CXXFLAGS = -fPIC -pthread -g
CPPFLAGS = -I/usr/include -I../ -I$(KIS_INC_DIR)

PLUGOBJS = wispy_container.o wispy_hw_gen1.o kismet-wispy.o
CPLUGOBJS = kismet-wispy-client.o

all:	kismet-wispy.so kismet-wispy-client.so

kismet-wispy.so:	$(PLUGOBJS)
	$(LD) $(LDFLAGS) $(PLUGOBJS) -o kismet-wispy.so $(LIBS)

kismet-wispy-client.so:	$(CPLUGOBJS)
	$(LD) $(LDFLAGS) $(CPLUGOBJS) -o kismet-wispy-client.so $(LIBS)

clean:
	@-rm *.o *.so

.c.o:
	$(CC) $(CFLAGS) -c $*.c -o $@ 

.cc.o:
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $*.cc -o $@ 

.SUFFIXES: .c .cc .o

## spectools 201004R1

=== debian/changelog ===
spectools (201004R1-1) unstable; urgency=low

  * New upstream release
  * Merge with Ubuntu:
    - debian/rules: Install udev rules into /lib/udev/rules.d
    - debian/dirs: Create new directory
    - debian/preinst: Remove old rules if unmodified.
    - debian/control: Add Breaks to ensure we have correct udev version.

  * Bump Standards-Version to 3.8.4
  * Switch to 3.0 (quilt) source package format

 -- Francois Marier <francois@debian.org>  Sat, 24 Apr 2010 12:49:46 +1200

spectools (200906R1-1) unstable; urgency=low

  * New Upstream Version
    - includes support for the Wi-Spy 24i (closes: #528803)

  * Bump Standards-Version to 3.8.2
  * Bump debhelper compatibility to 7
  * debian/rules: make use of dh_prep
  * debian/rules: stop using the deprecated dh_desktop

 -- Francois Marier <francois@debian.org>  Sat, 20 Jun 2009 18:45:51 +1200

spectools (200902R1-2) unstable; urgency=medium

  * Fix macro breaking several architectures (closes: #514141)

 -- Francois Marier <francois@debian.org>  Fri, 20 Feb 2009 19:14:42 +1300

spectools (200902R1-1) unstable; urgency=low

  * New Upstream Version
    - new utility: spectool_curses
  * Move repo to git
  * Bump Standards-Version to 3.8.0
  * Fix lintian notice regarding missing "copyright" word
  * Add libncurses5-dev to the build dependencies

 -- Francois Marier <francois@debian.org>  Wed, 04 Feb 2009 13:58:50 +1300

spectools (200710R2-2) unstable; urgency=low

  * Remove encoding from desktop file (fix lintian info)
  * Bump debhelper compatibility to 6

 -- Francois Marier <francois@debian.org>  Tue, 03 Jun 2008 15:06:19 +1200

spectools (200710R2-1) unstable; urgency=low

  * Initial release (Closes: #455692)

 -- Francois Marier <francois@debian.org>  Sun, 16 Dec 2007 22:07:06 +1300

=== debian/control ===
Source: spectools
Section: electronics
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libusb-dev, libgtk2.0-dev, libncurses5-dev
Standards-Version: 3.8.4
Homepage: http://www.kismetwireless.net/spectools/
Vcs-Git: git://git.debian.org/git/collab-maint/spectools.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/spectools.git;a=summary

Package: spectools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: udev (<< 136-1)
Description: Utilities for using the Wi-Spy USB spectrum analyzer hardware
 Spectrum-Tools is a set of utilities for using the Wi-Spy USB spectrum
 analyzer tools from Metageek LLC.  They include userspace drivers for
 the hardware (implemented via libusb), a graphing UI built on GTK/Cairo,
 network servers for remote devices, and simple utilities for developing
 additional tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/spectools.
	$(MAKE) prefix=$(CURDIR)/debian/spectools/usr install

	cp $(CURDIR)/99-wispy.rules $(CURDIR)/debian/spectools/lib/udev/rules.d/
	cp $(CURDIR)/debian/spectool_gtk.desktop $(CURDIR)/debian/spectools/usr/share/applications/
	cp $(CURDIR)/debian/spectool_*.1 $(CURDIR)/debian/spectools/usr/share/man/man1/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d\d\d\d)-(\d\d)-(.*)/$1$2$3/ \
  http://www.kismetwireless.net/spectools/ /code/spectools-(.*)\.tar\.gz

## spectools 201108r1

=== debian/changelog ===
spectools (201108r1-7) unstable; urgency=medium

  * Switch back to libusb 0.1.0 since 1.0 is not supported

 -- Francois Marier <francois@debian.org>  Sun, 10 Jan 2016 11:21:43 -0800

spectools (201108r1-6) unstable; urgency=medium

  * Switch to libusb 1.0 (closes: #810459)
  * Remove menu file (lintian warning)

 -- Francois Marier <francois@debian.org>  Sat, 09 Jan 2016 19:04:41 -0800

spectools (201108r1-5) unstable; urgency=medium

  * Team upload.

  [ Francois Marier ]
  * Run wrap-and-sort

  [ Raphaël Hertzog ]
  * Pass "-std=gnu89" to gcc to avoid build failures due to gcc now defaulting
    to C11. Closes: #778128

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 15 Jul 2015 20:38:21 +0200

spectools (201108r1-4) unstable; urgency=medium

  * Bump Standards-Version up to 3.9.6
  * Add keywords to the desktop file

 -- Francois Marier <francois@debian.org>  Fri, 19 Sep 2014 00:24:44 +1200

spectools (201108r1-3) unstable; urgency=medium

  * Bump Standards-Version up to 3.9.5
  * Switch to a machine-readable debian/copyright file
  * Use canonical VCS URLs in debian/control

 -- Francois Marier <francois@debian.org>  Sat, 01 Feb 2014 23:14:23 +1300

spectools (201108r1-2) unstable; urgency=low

  * Switch to a minimal debian/rules file
  * Fix watch file
  * Bump Standards-Version up to 3.9.3
  * Bump debhelper compatibility to 9

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 12:36:25 +1200

spectools (201108r1-1) unstable; urgency=low

  * New upstream release

  * Remove obsolete "Break" (udev << 136) in debian/control
  * Add empty build-arch and build-indep targets in debian/rules
  * Bump Standards-Version up to 3.9.2

 -- Francois Marier <francois@debian.org>  Tue, 09 Aug 2011 15:40:32 -0400

spectools (201004R1-2) unstable; urgency=low

  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 17:19:26 +1300

=== debian/control ===
Source: spectools
Section: electronics
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 9),
               libgtk2.0-dev,
               libncurses5-dev,
               libusb-dev
Standards-Version: 3.9.6
Homepage: http://www.kismetwireless.net/spectools/
Vcs-git: git://anonscm.debian.org/collab-maint/spectools.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/spectools.git;a=summary

Package: spectools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities for using the Wi-Spy USB spectrum analyzer hardware
 Spectrum-Tools is a set of utilities for using the Wi-Spy USB spectrum
 analyzer tools from Metageek LLC.  They include userspace drivers for
 the hardware (implemented via libusb), a graphing UI built on GTK/Cairo,
 network servers for remote devices, and simple utilities for developing
 additional tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Until codebase is compatible with ISO C11 (see #778128)
export DEB_CFLAGS_MAINT_PREPEND=-std=gnu89

%:
	dh $@

override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub $(CURDIR)/config.sub
	cp -f /usr/share/misc/config.guess $(CURDIR)/config.guess
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	cp $(CURDIR)/99-wispy.rules $(CURDIR)/debian/spectools/lib/udev/rules.d/
	cp $(CURDIR)/debian/spectool_gtk.desktop $(CURDIR)/debian/spectools/usr/share/applications/
	cp $(CURDIR)/debian/spectool_*.1 $(CURDIR)/debian/spectools/usr/share/man/man1/

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d\d\d\d)-(\d\d)-R(.*)/$1$2r$3/ \
  http://www.kismetwireless.net/spectools/ /code/spectools-(.*)\.tar\.gz

## spectools 201601r1

=== debian/changelog ===
spectools (201601r1-6) unstable; urgency=medium

  * QA upload.

  * Fixed build problems with GCC 14 (Closes: #1075531).
  * Renamed Appstream metainfo XML to file name based on ID.
  * Tracked down and added upstream homepage and contact.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 02 Nov 2024 05:58:38 +0100

spectools (201601r1-5) unstable; urgency=medium

  * QA upload.

  * Added gbp.conf entry to enforce the use of pristine-tar.
  * Moved to debhelper compat level 13.
  * Updated Standards-Version from 3.9.8 to 4.7.0.
  * Added Appstream metadata XML to announce supported hardware.
  * Added simple XSD desktop entry.
  * Use secure copyright file specification URI.
  * Re-export upstream signing key without extra signatures.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 29 Apr 2024 22:53:23 +0200

spectools (201601r1-4) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066651)
  * Declare Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Apr 2024 11:37:25 +0200

spectools (201601r1-3) unstable; urgency=medium

  * QA upload.
  * Install udev rules using dh_installudev.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 09 Dec 2023 15:05:31 +0100

spectools (201601r1-2) unstable; urgency=medium

  * QA upload
  * Update to debhelper-compat 10
  * Drop GTK 2 (Closes: #967756)

 -- Bastian Germann <bage@debian.org>  Sun, 03 Sep 2023 13:26:15 +0000

spectools (201601r1-1) unstable; urgency=medium

  * New upstream release
  * General maintenance
    - Adopt package (Closes: #777104)
    - Bump Standards-Version up to 3.9.8
    - Update Vcs-Git and Vcs-Browser URLs
    - Enable hardening flags
  * Upstream source tarball
    - Extend URL in debian/watch to support new upstream location
    - Add upstream/signing-key.asc for checking gpg signature
  * Add debian/patches:
    - fix_typos: Fix spelling errors
    - gcc5_fix: Enable support for GCC 5 builds
    - clang_fix: Enable support for clang builds (Closes: #741113)
      Thanks to Nicolas Sévelin-Radiguet for the initial patch

 -- Nick Andrik <nick.andrik@gmail.com>  Wed, 23 Nov 2016 00:28:10 +0100

=== debian/control ===
Source: spectools
Section: electronics
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               libusb-dev
Homepage: https://www.kismetwireless.net/static/spectools/
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/spectools
Vcs-Git: https://salsa.debian.org/debian/spectools.git

Package: spectools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities for using the Wi-Spy USB spectrum analyzer hardware
 Spectrum-Tools is a set of utilities for using the Wi-Spy USB spectrum
 analyzer tools from Metageek LLC.  They include userspace drivers for
 the hardware (implemented via libusb), a graphing UI built on GTK/Cairo,
 network servers for remote devices, and simple utilities for developing
 additional tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# enable all hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/debian/spectools.wispy.rules

override_dh_auto_install:
	dh_auto_install
	cp $(CURDIR)/99-wispy.rules $(CURDIR)/debian/spectools.wispy.udev

override_dh_installudev:
	dh_installudev --name=wispy --priority=99
